/*
 *   Copyright (C) 2011-2012, Michael Anders, FH-Wedel
 *
 *  This file is part of the ECC-Implementation "Academic Signature"
 *  Maintainer: Michael Anders
 *
 *  All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
 

#ifndef DEL_IMP_PRIV_H
#define DEL_IMP_PRIV_H

//(*Headers(Del_imp_priv)
#include <wx/dialog.h>
#include <wx/sizer.h>
#include <wx/button.h>
#include <wx/stattext.h>
#include <wx/timer.h>
#include <wx/listbox.h>
//*)

#include "elliptic1.h" // aus cpp-hierher tranferiert, weil liberatekeylist jetzt in class

class Del_imp_priv: public wxDialog
{
	public:

		Del_imp_priv(wxWindow* parent,wxWindowID id=wxID_ANY,const wxPoint& pos=wxDefaultPosition,const wxSize& size=wxDefaultSize);
		virtual ~Del_imp_priv();

		//(*Declarations(Del_imp_priv)
		wxListBox* ListBox1;
		wxButton* Button1;
		wxButton* Button2;
		wxButton* Button3;
		wxStaticText* StaticText1;
		wxTimer Timer1;
		wxStaticText* StaticText2;
		//*)
        wxArrayString ids; // da werden die Listbox-Einträge abgelegt


	protected:

		//(*Identifiers(Del_imp_priv)
		static const long ID_BUTTON2;
		static const long ID_STATICTEXT2;
		static const long ID_STATICTEXT1;
		static const long ID_BUTTON1;
		static const long ID_LISTBOX1;
		static const long ID_BUTTON3;
		static const long ID_TIMER1;
		//*)

	private:

		//(*Handlers(Del_imp_priv)
		void OnExit(wxCommandEvent& event);
		void OnDeleteKey(wxCommandEvent& event);
		void Import_el_privkey(wxCommandEvent& event);
		void OnTimer1Trigger(wxTimerEvent& event);
		//*)
        int half_min_counter;
        bool nostop;

        bool liberatekylist(int keyz,el_priv **zz);

		DECLARE_EVENT_TABLE()
};

#endif
